[APACHE DOCUMENTATION]

Apache HTTP Server Version 1.3

Compilation d'Apache sous UnixWare

Pour compiler une version d'Apache pour UnixWare, plusieurs autres étapes seront nécessaires. Elles empêchent des problèmes tels que l'apparition de processus zombies, des erreurs de routage, pour n'en citer que quelques unes.

UnixWare 1.x

Assurez-vous que USE_FCNTL_SERIALIZE_ACCEPT est défini (s'il n'est pas défini par l'autoconfiguration d'Apache). Si vous utilisez le compilateur cc d'UnixWare, et si vous voyez encore apparaître des erreurs accept(), n'utilisez pas la fonction d'optimisation du compilateur, ou prenez gcc.

UnixWare 2.0.x

Le patch SCO tf2163 est requis pour qu'Apache fonctionne correctement sous UnixWare 2.0.x. Voir http://www.sco.com pour plus d'informations sur le matériel requis par UnixWare.

De plus, assurez-vous que USE_FCNTL_SERIALIZE_ACCEPT est défini (s'il n'est pas défini par l'autoconfiguration d' Apache). Pour réduire le nombre de connections laissées dans l'état FIN_WAIT_2, vous pouvez également définir NO_LINGCLOSE (Apache 1.2 seulement).

UnixWare 2.1.x

Le patch SCO ptf3123 est exigé pour qu'Apache fonctionne correctement sous UnixWare 2.1.x. Voir http://www.sco.com pour plus d'informations sur le matériel requis par UnixWare .

NOTE: Unixware 2.1.2 et ses successeurs ont d'ores et déjà inclus le patch ptf3123.

En outre, assurez-vous que USE_FCNTL_SERIALIZE_ACCEPT est défini (s'il ne l'est pas déjà par l'autoconfiguration d' Apache). Pour réduire le nombre de connections laissées dans l'état FIN_WAIT_2 , vous pouvez également définir NO_LINGCLOSE (Apache 1.2 seulement).

Un grand merci à Joe Doupnik <[email protected]> et Rich Vaughn <[email protected]> pour les informations supplémentaires sur UnixWare .


Apache HTTP Server Version 1.3

Index